STATS(1)

NAME
stats, auxstats - display graphs of system activity

SYNOPSIS
stats [ -option ] [ machine[:path] ... ]

auxstats [ machine [ path ] ]

DESCRIPTION
Stats displays a rolling graph of various statistics collected by the operating system and updated once per second. The statistics may be from a remote machine or multiple machines, whose graphs will appear in adjacent columns. The columns are labeled by the machine names and the number of processors on the machine if it is a multiprocessor.

Auxstats collects the machine statistics for display by stats. With no arguments, it collects statistics from the local machine. If machine is named, it executes ssh machine path; when ssh finishes, auxstats sleeps for one minute and runs it again. The default path is simply auxstats, but since some shells do not execute any sort of user profile when run as a non-login shell, it is often necessary to specify an exact path.

The right mouse button presents a menu to enable and disable the display of various statistics; by default, stats begins by showing the load average on the executing machine.

The lower-case options choose the initial set to display:

b battery
    percentage battery life remaining.

c context
    number of process context switches per second.

e ether
    total number of packets sent and received per second.

E etherin,out
    number of packets sent and received per second, displayed as separate graphs.

f fault
    number of page faults per second.

i intr
    number of interrupts per second.

l load
    (default) system load average. The load is computed as a running average of the number of processes ready to run, multiplied by 1000. On most systems, it changes only every five seconds and has limited accuracy.

m mem
    total pages of active memory. The graph displays the fraction of the machine's total memory in use.

n etherin,out,err
    number of packets sent and received per second, and total number of errors, displayed as separate graphs.

s syscall
    number of system calls per second.

w swap
    number of valid pages on the swap device. The swap is displayed as a fraction of the number of swap pages configured by the machine.

8 802.11b
    display the signal strength detected by the 802.11b wireless ether card; the value is usually below 50% unless the receiver is in the same room as the transmitter, so a midrange value represents a strong signal.

The graphs are plotted with time on the horizontal axis. The vertical axes range from 0 to 1000*sleepsecs, multiplied by the number of processors on the machine when appropriate. The only exceptions are memory, and swap space, which display fractions of the total available, system load, which displays a number between 0 and 1000, idle and intr, which display percentages and the Ethernet error count, which goes from 0 to 10.. If the value of the parameter is too large for the visible range, its value is shown in decimal in the upper left corner of the graph.

Upper-case options control details of the display. All graphs are affected; there is no mechanism to affect only one graph.

-T sleepsecs
    Set the number of seconds between samples to sleepsecs (default one second).

-S scale
    Sets a scale factor for the displays. A value of 2, for example, means that the highest value plotted will be twice as large as the default.

-L  Plot all graphs with logarithmic y axes. The graph is plotted so the maximum value that would be displayed on a linear graph is 2/3 of the way up the y axis and the total range of the graph is a factor of 1000; thus the y origin is 1/100 of the default maximum value and the top of the graph is 10 times the default maximum.

-Y  If the display is large enough to show them, place value markers along the y axes of the graphs. Since one set of markers serves for all machines across the display, the values in the markers disregard scaling factors due to multiple processors on the machines. On a graph for a multiprocessor, the displayed values will be larger than the markers indicate. The markers appear along the right, and the markers show values appropriate to the rightmost machine; this only matters for graphs such as memory that have machine-specific maxima.

Typing `q' or DEL causes stats to exit.

EXAMPLE
Show the load, memory, interrupts, system calls, context switches, and ethernet packets for the local machine, a remote BSD machine daemon, and a remote Linux machine tux. Auxstats is not in tux's path, so the full path must be given.

        stats -lmisce `hostname` daemon \
            tux:/bin/auxstats

SOURCE
/src/cmd/draw/stats.c

/src/cmd/auxstats

BUGS
The auxstats binary needs read access to /dev/kmem in order to collect network statistics on non-Linux systems. Typically this can be arranged by setting the auxstat binary's group to kmem and then turning on its set-gid bit.